From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-light/
Date: Sat, 12 Nov 2016 00:37:53 +0000 (UTC) [thread overview]
Message-ID: <1478910849.1128926547255402cf2616d05461ebdfdd98652a.eva@gentoo> (raw)
commit: 1128926547255402cf2616d05461ebdfdd98652a
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 12 00:32:05 2016 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat Nov 12 00:34:09 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11289265
gnome-base/gnome-light: version bump 3.20.0 → 3.22.0
Package-Manager: portage-2.3.2
gnome-base/gnome-light/gnome-light-3.22.0.ebuild | 61 ++++++++++++++++++++++++
1 file changed, 61 insertions(+)
diff --git a/gnome-base/gnome-light/gnome-light-3.22.0.ebuild b/gnome-base/gnome-light/gnome-light-3.22.0.ebuild
new file mode 100644
index 00000000..50c1f6d
--- /dev/null
+++ b/gnome-base/gnome-light/gnome-light-3.22.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit versionator
+
+P_RELEASE="$(get_version_components 2)"
+
+DESCRIPTION="Meta package for GNOME-Light, merge this package to install"
+HOMEPAGE="https://www.gnome.org/"
+LICENSE="metapackage"
+SLOT="2.0"
+IUSE="cups +gnome-shell"
+
+# when unmasking for an arch
+# double check none of the deps are still masked !
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# XXX: Note to developers:
+# This is a wrapper for the 'light' GNOME 3 desktop, and should only consist of
+# the bare minimum of libs/apps needed. It is basically gnome-base/gnome without
+# any apps, but shouldn't be used by users unless they know what they are doing.
+RDEPEND="!gnome-base/gnome
+ >=gnome-base/gnome-core-libs-${PV}[cups?]
+
+ >=gnome-base/gnome-session-${PV}
+ >=gnome-base/gnome-menus-3.10.1:3
+ >=gnome-base/gnome-settings-daemon-${PV}[cups?]
+ >=gnome-base/gnome-control-center-${PV}[cups?]
+
+ >=gnome-base/nautilus-${PV}
+
+ gnome-shell? (
+ >=x11-wm/mutter-${PV}
+ >=gnome-base/gnome-shell-${PV} )
+
+ >=x11-themes/adwaita-icon-theme-${P_RELEASE}
+ >=x11-themes/gnome-themes-standard-${PV}
+ >=x11-themes/gnome-backgrounds-${P_RELEASE}
+
+ >=x11-terms/gnome-terminal-${PV}
+"
+DEPEND=""
+PDEPEND=">=gnome-base/gvfs-1.28.0"
+S="${WORKDIR}"
+
+pkg_pretend() {
+ if ! use gnome-shell; then
+ # Users probably want to use e16, sawfish, etc
+ ewarn "You're installing neither GNOME Shell"
+ ewarn "You will have to install and manage a window manager by yourself"
+ fi
+}
+
+pkg_postinst() {
+ # Remember people where to find our project information
+ elog "Please remember to look at https://wiki.gentoo.org/wiki/Project:GNOME"
+ elog "for information about the project and documentation."
+}
next reply other threads:[~2016-11-12 0:38 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-12 0:37 Gilles Dartiguelongue [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-06 7:09 [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-light/ Mart Raudsepp
2024-05-01 5:28 Joonas Niilola
2024-03-02 23:30 Sam James
2023-12-24 14:38 Mart Raudsepp
2023-12-18 23:44 Mart Raudsepp
2023-12-18 23:44 Mart Raudsepp
2023-12-18 23:44 Mart Raudsepp
2023-10-03 7:09 Mart Raudsepp
2021-08-27 15:19 Yixun Lan
2021-05-29 6:09 Sam James
2021-05-15 1:59 Sam James
2021-05-12 22:10 Matt Turner
2020-08-30 18:09 Sam James
2020-04-14 7:08 Sergei Trofimovich
2020-03-29 17:56 Mart Raudsepp
2020-03-29 17:56 Mart Raudsepp
2020-03-29 17:56 Mart Raudsepp
2019-11-30 21:17 Sergei Trofimovich
2019-09-28 20:29 Mart Raudsepp
2019-09-28 20:17 Mart Raudsepp
2019-05-18 20:46 Mart Raudsepp
2019-03-30 21:56 Mart Raudsepp
2019-03-05 19:06 Mart Raudsepp
2019-02-17 15:56 Mikle Kolyada
2019-01-16 1:00 Mart Raudsepp
2018-11-18 9:55 Mikle Kolyada
2018-02-03 20:56 Mart Raudsepp
2018-01-18 3:42 Mikle Kolyada
2018-01-10 6:12 Mart Raudsepp
2017-11-02 0:08 Mart Raudsepp
2017-09-30 6:31 Sergei Trofimovich
2017-09-30 6:31 Sergei Trofimovich
2017-09-23 20:35 Sergei Trofimovich
2017-09-23 20:35 Sergei Trofimovich
2017-08-15 22:44 Gilles Dartiguelongue
2017-06-17 8:39 Sergei Trofimovich
2017-04-08 18:26 Mart Raudsepp
2017-03-25 14:06 Mart Raudsepp
2017-02-04 14:47 Pacho Ramos
2016-11-12 10:30 Gilles Dartiguelongue
2016-11-12 10:30 Gilles Dartiguelongue
2016-11-12 0:37 Gilles Dartiguelongue
2016-09-05 22:37 Gilles Dartiguelongue
2016-03-06 18:20 Mikle Kolyada
2016-01-04 22:12 Gilles Dartiguelongue
2016-01-04 22:12 Gilles Dartiguelongue
2015-12-06 23:41 Gilles Dartiguelongue
2015-09-07 19:58 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1478910849.1128926547255402cf2616d05461ebdfdd98652a.eva@gentoo \
--to=eva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox